%define	module	POE
%define	name	perl-%{module}
%define	version	0.3202
%define	release	1mdk

Name:		%{name}
Epoch:		2
Version:	%{version}
Release:	%{release}
Summary:	Portable multitasking and networking framework for Perl
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/R/RC/RCAPUTO/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildArch:	noarch
BuildRequires:	perl-devel >= 5.8.7
BuildRoot:	%{_tmppath}/%{name}-%{version}

# This module naming scheme does not follow path names...
# Hacking this
Provides: perl(POE::Resource::Controls)

%description
POE is a framework for cooperative, event driven multitasking in Perl.

POE originally was developed as the core of a persistent object server and
runtime environment. It has evolved into a general purpose multitasking and
networking framework, encompassing and providing a consistent interface to
other event loops such as Event and the Tk and Gtk toolkits.

POE is a mature framework for creating multitasking programs in Perl.  It has
been in active development since 1998.  It has been used in mission-critical
systems such as internetworked financial markets, file systems, commerce and
application servers.

%prep
%setup -q -n %{module}-%{version}
chmod 755 samples
chmod 755 samples/queue.perl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --default
%make

%check
DISPLAY= %{__make} test

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%{__rm} -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean 
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES HISTORY README samples TODO
%{perl_vendorlib}/POE
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*

%changelog
* Fri Sep 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2:0.3202-1mdk
- new version
- rpmbuildupdate aware
- fix directory ownership
- remove redundant buildrequires
- fix some perms

* Wed Aug 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:0.3201-1mdk
- 0.3201

* Fri Aug 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:0.32-1mdk
- 0.32
- Be sure to test without X

* Mon May 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:0.3101-1mdk
- 0.3101
- Remove testing kludge now that Test::More was updated, adjust BuildRequires

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:0.31-1mdk
- 0.31
- make tests (in check section)

* Wed Feb 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.3009-1mdk
- 0.3009
- update summary and description
- update BuildRequires in accordance to the Makefile.PL

* Sat Aug 28 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.29-2mdk
- providing perl module to avoid the path naming issue for this module

* Mon Jul 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.29-1mdk
- 0.29

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2802-1mdk
- 2.802
- fix perms
- cosmetics

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 0.26-1mdk
- 0.26.

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.25-4mdk
- Use %%makeinstall_std now that it works on klama
- Remove PREFIX from Makefile.PL

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.25-3mdk
- Macroification
- man path
- %%make and %%makeinstall
- perllocal.pod
- Remove explicit requires, they are found automagically now.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.25-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Franois Pons <fpons@mandrakesoft.com> 0.25-1mdk
- 0.25.

* Tue Feb 04 2003 Lenny Cartier <lenny@mandrakesoft.com 0.23-4mdk
- fix wrong auto requires

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.23-3mdk
- rebuild

* Thu Dec 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.23-2mdk
- Todd: fix files section

* Thu Oct 23 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.23-1mdk
- for Peter Chen <petechen@netilla.com> :
	- 0.23

* Wed Sep  4 2002 Peter Chen <petechen@netilla.com> 0.2201-1mdk
- 0.2201

* Tue Jul 23 2002 Peter Chen <petechen@netilla.com> 0.22-2mdk
- Add a patch to fix bug in TCP.pm, the patch has been sent upstream.

* Tue Jul  9 2002 Peter Chen <petechen@netilla.com> 0.22-1mdk
- 0.22

* Tue Jun 11 2002 Peter Chen <petechen@netilla.com> 0.20-1mdk
- 0.20
